package config

import "time"

type config struct {
	APIToken        string
	DebugMode       bool
	PrivilegedUsers []int64
	Shutup          map[int64]time.Time //! is always filled at startup, not present in config
	Webserver       struct {
		Port string
	}
	Balonlyl struct {
		EnabledChats []int64
		BalonlylAT   string
		TriggerWords []string
	}
	GayPoints struct {
		EnabledChats []int64
		ModifyUsers  []int64
	}
	Download struct {
		Prefix string
		Yourls struct {
			APIPath   string
			Signature string
		}
	}
}
